Bug 654536 - Missing UI elements on "Get and Remove Software"
Missing UI elements on "Get and Remove Software"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
14
Unspecified Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-18 01:38 EST by Paul Kohut
Modified: 2010-12-30 15:23 EST (History)
8 users (show)

See Also:
Fixed In Version: kpackagekit-0.6.3.2-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-30 15:23:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Missing UI elements (43.21 KB, image/png)
2010-11-18 01:38 EST, Paul Kohut
no flags Details

  None (edit)
Description Paul Kohut 2010-11-18 01:38:42 EST
Created attachment 461228 [details]
Missing UI elements

Description of problem: No UI tabs shown so cannot browse available/installed software.


Version-Release number of selected component (if applicable): KPackageKit 0.6.2-1.fc14


How reproducible: Did a fresh install of Fedora 14 KDE, and KPackageKit has all the correct UI elements. Updated KPackageKit to current version (0.6.2-1.fc14) and the UI has changed, loosing the ability to browse software packages.


Steps to Reproduce:
1. Upgrade KPackageKit to version 0.6.2-1.fc14
2.
3.
  
Actual results: Cannot browse available or installed software packages.


Expected results: Ability to browse available and installed software packages.


Additional info:
Comment 1 Duane Lopes 2010-11-26 13:33:47 EST
I am experiencing the exact same problem after the update to version kpackagekit-0.6.2-1.fc14.x86_64.  The Categories of software available for installation is missing.  This makes it difficult to install any new software unless you know the name of the package and can search for it.
Comment 2 dsswift 2010-12-01 11:31:33 EST
I think that the priority should be upped from low as, apart from updates, it make kpackagekit useless. This would be extremely frustrating for a new Fedora user.
Comment 3 Rex Dieter 2010-12-01 11:41:42 EST
kpk upstream is working on it, be assured, this feature will return in a subsequent update/release.
Comment 4 Fedora Update System 2010-12-21 16:10:24 EST
kpackagekit-0.6.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kpackagekit-0.6.3-1.fc14
Comment 5 Fedora Update System 2010-12-22 14:53:47 EST
kpackagekit-0.6.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kpackagekit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kpackagekit-0.6.3-2.fc14
Comment 6 Fedora Update System 2010-12-23 10:19:36 EST
kpackagekit-0.6.3.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kpackagekit-0.6.3.2-2.fc14
Comment 7 Fedora Update System 2010-12-23 10:19:46 EST
kpackagekit-0.6.3.2-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kpackagekit-0.6.3.2-2.fc14
Comment 8 Fedora Update System 2010-12-23 14:56:21 EST
kpackagekit-0.6.3.2-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kpackagekit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/kpackagekit-0.6.3.2-2.fc14
Comment 9 Fedora Update System 2010-12-30 15:22:52 EST
kpackagekit-0.6.3.2-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.